FileNameMapper (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.util, interface: FileNameMapper

Package org.apache.tools.ant.util

# Interface FileNameMapper

All Known Implementing Classes:
  `ChainedMapper`, `CompositeMapper`, `ContainerMapper`, `CutDirsMapper`, `FilterMapper`, `FirstMatchMapper`, `FlatFileNameMapper`, `GlobPatternMapper`, `IdentityMapper`, `MergingMapper`, `PackageNameMapper`, `RegexpPatternMapper`, `ScriptMapper`, `UnPackageNameMapper`

public interface FileNameMapper
Interface to be used by SourceFileScanner.

Used to find the name of the target file(s) corresponding to a source file.

The rule by which the file names are transformed is specified via the setFrom and setTo methods. The exact meaning of these is implementation dependent.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `mapFileName(String sourceFileName)`
  Returns an array containing the target filename(s) for the given source file.
  `void`
  `setFrom(String from)`
  Sets the from part of the transformation rule.
  `void`
  `setTo(String to)`
  Sets the to part of the transformation rule.

- ## Method Details

  - ### setFrom

    void setFrom(String from)
    Sets the from part of the transformation rule.
    Parameters:
      `from` - a string.

  - ### setTo

    void setTo(String to)
    Sets the to part of the transformation rule.
    Parameters:
      `to` - a string.

  - ### mapFileName

    String[] mapFileName(String sourceFileName)
    Returns an array containing the target filename(s) for the given source file.

    if the given rule doesn't apply to the source file, implementation must return null. SourceFileScanner will then omit the source file in question.

    Parameters:
      `sourceFileName` - the name of the source file relative to some given basedirectory. Might be `null` for resources that don't provide a name.
    Returns:
      an array of strings if the rule applies to the source file, or null if it does not.